Body.GetFacetData
 

Private Sub Form_Load()
Dim objApp As SolidEdgeFrameWork.Application
Dim objDoc As SolidEdgePart.PartDocument
Dim objBody As SolidEdgeGeometry.Body
Dim lngFacetCount As Long
Dim dblPoints() As Double
Const TESTFILE = "T:\vbtests\testcases\freeform.par"
' Report errors
Const PI = 3.14159265358979
' Create/get the application with specific settings
On Error Resume Next
Set ObjApp = GetObject(, "SolidEdge.Application")
If Err Then
Err.clear
Set ObjApp = CreateObject("SolidEdge.Application")
Set ObjDoc = objApp.Documents.Add("SolidEdge.PartDocument")
objApp.Visible = True
Else
Set ObjDoc = objApp.ActiveDocument
End If
Call objDoc.Close
' opening the test case file
Set objDoc = objApp.Documents.Open(TESTFILE)
' getting the body object of the model
Set objBody = objDoc.Models(1).Body
' getting the FacetData for the Body object
Call objBody.GetFacetData(TOLERANCE:=0.1, FacetCount:=lngFacetCount, Points:=dblPoints)
' USER DISPLAY
' Release objects
Set objApp = Nothing
Set objDoc = Nothing
Set objBody = Nothing
End Sub 
